Adding missing request services
27 Sep 2019 14:39 - Kurt Gerber

Status: Closed Start date: 27 Sep 2019
Priority: High Due date:

Assignee: Kurt Gerber % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Extend API to add cases Spent time: 0.00 hour
Resolution:

Description

There are two missing endpoints for requests services:

Better specification can be found here: Web_Services_Definition
1. Enpoint:

/api/v2/configuration/
Response: List of configurations available (technologies,approaches,unccd,cca)

2. Endpoint:

/api/v2/configuration/{configuration}

Response: List of editions for the specific configuration (for technologies: 2015, 2018)

History

#1 - 10 Oct 2019 16:06 - Brahadeesh Dheenadayalan_Sivakami

- Status changed from Accepted to In Progress

#2 - 10 Oct 2019 16:08 - Kurt Gerber
- Priority changed from Normal to High

#3 - 24 Oct 2019 01:51 - Brahadeesh Dheenadayalan_Sivakami
- Status changed from In Progress to Feedback
- Assignee set to Kurt Gerber

Hi Kurt,

| have added the endpoints for the configuration and configuration/ successfully and submitted a new pull request. Thanks, Guhan

#4 - 28 Oct 2019 09:22 - Kurt Gerber

- Assignee changed from Kurt Gerber to Lukas Vonlanthen

Hi Lukas and Sebastian,

Could anybody of you look at the new pull request from Guhan? It is up for review.
If one of you accepts the pull request, is it then merged or should | merge it to the develop branch?

#5 - 07 Nov 2019 16:04 - Kurt Gerber

- Status changed from Feedback to In Progress

#6 - 07 Nov 2019 16:05 - Kurt Gerber

- Assignee changed from Lukas Vonlanthen to Brahadeesh Dheenadayalan_Sivakami
http://redmine.cde.unibe.ch/projects/qcat/wiki/Web_Services_Definition#Request-services

#7 - 19 Nov 2019 01:06 - Brahadeesh Dheenadayalan_Sivakami
- Status changed from In Progress to Feedback

- Assignee changed from Brahadeesh Dheenadayalan Sivakami to Sebastian Manger

| have added the documentation and tests for the new api endpoints and updated the existing pull request.

Hopefully Sebstian can provide feedback on my tests <which | am sure are incorrect>

#8 - 17 Dec 2019 08:47 - Brahadeesh Dheenadayalan_Sivakami
- Status changed from Feedback to Resolved

- Assignee changed from Sebastian Manger to Kurt Gerber

#9 - 17 Dec 2019 09:22 - Kurt Gerber

- Status changed from Resolved to Closed
